petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateSeqDense

Creates a sequential dense matrix that is stored in column major order (the usual Fortran 77 manner). Many of the matrix operations use the BLAS and LAPACK routines.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateSeqDense(MPI_Comm comm,PetscInt m,PetscInt n,PetscScalar *data,Mat *A)

Collective on MPI_Comm Many br

### Input Parameters

| comm | - MPI communicator, set to PETSC_COMM_SELF Many br
| m | - number of rows Many br
| n | - number of columns Many br
| data | - optional location of matrix data in column major order. Set data=NULL for PETSc Many brto control all matrix memory allocation. Many br

### Output Parameter

A -the matrix Many br

### Notes

The data input variable is intended primarily for Fortran programmers Many brwho wish to allocate their own matrix memory space. Most users should Many brset data=NULL. Many br

Many br

### Keywords

dense, matrix, LAPACK, BLAS

### See Also

MatCreate(), MatCreateDense(), MatSetValues()

Level:intermediate
Location:src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html
src/tao/leastsquares/examples/tutorials/chwirut1.c.html